org.apache.ignite.internal.managers.encryption

## Class GenerateEncryptionKeyResponse

- java.lang.Object
- - org.apache.ignite.internal.managers.encryption.GenerateEncryptionKeyResponse

All Implemented Interfaces:
  Serializable, Message

    public class GenerateEncryptionKeyResponse
    extends Object
    implements Message

Generate encryption key response.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`DIRECT_TYPE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`GenerateEncryptionKeyResponse()`
`GenerateEncryptionKeyResponse(IgniteUuid id, Collection<byte[]> encKeys, byte[] masterKeyDigest)`

### Method Summary

All Methods Instance Methods Concrete Methods
`short` `directType()` Gets message type.
`Collection<byte[]>` `encryptionKeys()`
`byte` `fieldsCount()` Gets fields count.
`byte[]` `masterKeyDigest()`
`void` `onAckReceived()` Method called when ack message received.
`boolean` `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`IgniteUuid` `requestId()`
`String` `toString()`
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GenerateEncryptionKeyResponse

    public GenerateEncryptionKeyResponse()

#### GenerateEncryptionKeyResponse

    public GenerateEncryptionKeyResponse(IgniteUuid id,
                                         Collection<byte[]> encKeys,
                                         byte[] masterKeyDigest)

Parameters:
  `id` - Request id.
  `encKeys` - Encryption keys.
  `masterKeyDigest` - Master key digest.

### Method Detail

#### requestId

    public IgniteUuid requestId()

Returns:
  Request id.

#### encryptionKeys

    public Collection<byte[]> encryptionKeys()

Returns:
  Encryption keys.

#### masterKeyDigest

    public byte[] masterKeyDigest()

Returns:
  Master key digest that encrypted group encryption keys.

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                           MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom(ByteBuffer buf,
                            MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### directType

    public short directType()

Gets message type.

Specified by:
  `directType` in interface `Message`
Returns:
  Message type.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Specified by:
  `fieldsCount` in interface `Message`
Returns:
  Fields count.

#### onAckReceived

    public void onAckReceived()

Method called when ack message received.

Specified by:
  `onAckReceived` in interface `Message`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022